🏃🎼 docker run asdlksjfksdf > docker-composerize up https://www.composerize.com/
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
 
Mark Larah 75a9091349 website: use v1.0.5 1 month ago
.dependabot add dependabot 2 years ago
.github fix flow 10 months ago
.yarn/releases website: use v1.0.5 1 month ago
packages website: use v1.0.5 1 month ago
tools convert to monorepo 10 months ago
.editorconfig website v3 4 years ago
.eslintignore add husky 10 months ago
.eslintrc.js convert to monorepo 10 months ago
.flowconfig reorganize repo; fix issue 3 years ago
.gitignore reorganize repo; fix issue 3 years ago
.travis.yml reorder travis 10 months ago
.yarnrc website: use v1.0.5 1 month ago
Makefile convert to monorepo 10 months ago
README.md fix readme 10 months ago
lerna.json convert to monorepo 10 months ago
netlify.toml try bust SW cache using CORS to allow manifest.json? 10 months ago
package.json Bump flow-bin from 0.112.0 to 0.129.0 7 months ago
pizz.txt created pizza.txt 2 years ago
prettier.config.js convert to monorepo 10 months ago
yarn.lock Bump core-js from 2.6.11 to 2.6.12 3 months ago

README.md

composerize

Build Status npm Follow @mark_larah

http://composerize.com - Turns docker run commands into docker-compose files!

Demo

CLI

composerize can be run in the cli.

npm install composerize -g to install, and run as such:

$ composerize docker run -p 80:80 -v /var/run/docker.sock:/tmp/docker.sock:ro --restart always --log-opt max-size=1g nginx

Contributing

  • Clone a fork of the repo and install the project dependencies by running yarn
  • Make your changes, and build the project by running make build
  • Test your changes with make test

yarn version

Needs yarn@1.19.1. See https://github.com/yarnpkg/yarn/issues/7734.

Maintainers